##   !!! This is a deprecated version! 
##   Please download new version of configuration from 
##   https://ib-aid.com/en/optimized-firebird-configuration/
##
# Firebird configuration file for Firebird 2.5 32-bit SuperClassic
# Optimized by IBSurgeon (www.ibsurgeon.com).
#
# This is an optimized configuration for Firebird 2.5 SuperClassic 32-bit, it can be used
# instead of standard firebird.conf from 2.5 distribution - copy it to Firebird folder,
# rename it to firebird.conf, then restart Firebird 
# (all users should be disconnected before restart!). Keep old config as a backup!
#
# If you need configuration file, optimized for your specific environment 
# to get the best possible performance, or if your performance problem 
# still persists after configuration changes, contact us:
# http://www.ibsurgeon.com/en/firebird-interbase-performance-optimization-service/
# or via email support@ib-aid.com

DefaultDbCachePages = 512
TempBlockSize = 2048576
TempCacheLimit = 27108864
LockMemSize = 9048576
LockHashSlots = 20011

#RootDirectory =
#DatabaseAccess = Full
#ExternalFileAccess = None
#UdfAccess = Restrict UDF
#TempDirectories =
#LegacyHash = 1
#Authentication = native
#AuditTraceConfigFile =
#MaxUserTraceLogSize = 10
#DatabaseGrowthIncrement = 134217728
#FileSystemCacheThreshold = 65536
#FileSystemCacheSize = 0
#RemoteFileOpenAbility = 0
#CompleteBooleanEvaluation = 0
#DeadlockTimeout = 10
#MaxUnflushedWrites = 100
#MaxUnflushedWriteTime = 5
#BugcheckAbort = 0
#OldColumnNaming = 0
#OldSetClauseSemantics = 0
#RelaxedAliasChecking = 0
#ConnectionTimeout = 180
#DummyPacketInterval = 0
#RemoteServiceName = gds_db
#RemoteServicePort = 3050
#RemoteAuxPort = 0
#TcpRemoteBufferSize = 8192
#TcpNoNagle = 1
#RemoteBindAddress =
#LockGrantOrder = 1
#LockAcquireSpins = 0
#EventMemSize = 65536
#CpuAffinityMask = 1
#UsePriorityScheduler = 1
#PrioritySwitchDelay = 100
#PriorityBoost = 5
#GCPolicy = combined
#GuardianOption = 1
#ProcessPriorityLevel = 0
#IpcName = FIREBIRD
#RemotePipeName = interbas
#Redirection = 0
